import Foundation

enum StreamAction: Codable {
    case startStream
    case streamOpened(_ attributes: [String: String])
    case streamClosed
    case streamError(_ err: StreamError)

    case featuresListUpdated(_ features: [StreamFeature])
    case processFeature(_ element: StreamFeature)
    case featureProcessed(_ element: StreamFeature)

    case streamSend(_ element: XMLElement)
}
